This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 534839 (RHQ-1597)

Summary: NPE in AgentServerComponent when looking for launcher script
Product: [Other] RHQ Project Reporter: Heiko W. Rupp <hrupp>
Component: PluginsAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: 1.2CC: cwelton, mazz, skondkar
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
URL: http://jira.rhq-project.org/browse/RHQ-1597
Whiteboard:
Fixed In Version: 1.4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-02 03:22:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Heiko W. Rupp 2009-02-18 09:32:00 EST
from agent.log:

2009-02-18 13:52:36,901 ERROR [InventoryManager.discovery-1] (org.rhq.plugins.ag
ent.AgentLauncherScriptDiscoveryComponent)- An error occurred while attempting to auto-discover the agent's launcher script
java.lang.NullPointerException
        at org.rhq.plugins.agent.AgentServerComponent.getAgentBean(AgentServerComponent.java:93)
 at org.rhq.plugins.agent.AgentLauncherScriptDiscoveryComponent.discoverResources(AgentLauncherScriptDiscoveryComponent.java:69)

This is because AgentServerComponent.getAgentBean() never checks if the returned EMS connection is valid or not. Unfortunately this method is used in a lot of places.
Comment 1 John Mazzitelli 2009-02-18 10:01:14 EST
that should never fail - the MBean is internal to the agent itself - there is no remote connection involved. Need to look at this problem more closely - this is bad if this MBean could not be retrieved.
Comment 2 Corey Welton 2009-08-26 14:59:43 EDT
Pushed to 1.4
Comment 3 Red Hat Bugzilla 2009-11-10 15:36:25 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1597
Comment 4 Corey Welton 2010-08-30 13:26:18 EDT
Mazz -- need to investigate if/why this is still happening.
Comment 5 John Mazzitelli 2010-08-30 13:48:24 EDT
I saw we close this as "cannot replicate". No one has seen this in a long time AFAIK. This situation is possible because we always allow the component to start, even if the JMX connection fails to be made - you'd see this in the log file as a WARN level msg:

Unable to connect to JMX Server

But if this happens, you have more to worry about than a NPE because it means you can't connect to a LOCAL, INTRA-VM MBean. If that ever happens, something really really bad is happening that probably isn't recoverable.

That said, I know of no one reporting this since this one incident - so its possible the agent VM was in a bad state when this happened.

I would close this - if it ever happens again, we'd reopen and investigate for but now I would assume its an anomaly.
Comment 6 Sunil Kondkar 2010-10-25 03:57:06 EDT
Verified on RHQ build#446

The agent log does not display the error. Marking the bug as verified.
Comment 7 Heiko W. Rupp 2013-09-02 03:22:00 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.